Pixxel

Create deliveries

Create a delivery request which will be fulfilled async, only one of catalog id or order_item should be populated in a single delivery request.

POST/v0/catalogs/deliveries
Authorisations
AuthorizationString
Request Body
deliveriesobject[]required
Show child attributes
Response
application/json
Created
deliveriesobject[]
Show child attributes
Create deliveries
1curl -X POST 'https://api.pixxel.space/v0/catalogs/deliveries' \
2 -H 'Authorization: YOUR_API_KEY' \
3 -H 'Content-Type: application/json' \
4 -d '{
5 "deliveries": [
6 {
7 "catalog_ids": [
8 "47435e2b-d8c4-51ff-9de9-2be3bfc92276"
9 ],
10 "cloud_info": {
11 "config": "9af9ca14-8c0f-4b7b-ab5e-3a29fc7325b6",
12 "path": "path/subdirectory1/"
13 },
14 "order_item_ids": [
15 "string"
16 ]
17 }
18 ]
19}'
Response:
{
"deliveries": [
{
"catalog_id": "47435e2b-d8c4-51ff-9de9-2be3bfc92276",
"cloud_delivery": null,
"created_at": "2024-05-27T06:50:20.056549Z",
"created_by": "60795589-8759-4d00-9162-b1537b66fb3e",
"delivery_id": "47435e2b-d8c4-41ff-9de9-2be3cfc92276",
"status": "SUCCESS",
"target_path": "order_1/catalogs.zip",
"task_id": "7f74a393-236f-4e02-9d22-b11dea4eac8a",
"updated_at": "2024-05-27T06:50:20.056549Z",
"updated_by": "b23d9181-4de1-4856-950b-e83b2ac52830"
}
]
}